| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxImage::HSVValue Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/image.h>`

## Detailed Description

A simple class which stores hue, saturation and value as doubles in the range 0.0-1.0.

## Public Member Functions
| HSVValue (double h=0.0, double s=0.0, double v=0.0)
| Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color. More...

## Public Attributes
double | hue
double | saturation
double | value

## Constructor & Destructor Documentation

## ◆ HSVValue()

wxImage::HSVValue::HSVValue | ( | double | h = `0.0`,
|  | double | s = `0.0`,
|  | double | v = `0.0`
| ) |  |

Constructor for HSVValue, an object that contains values for hue, saturation and value which represent the value of a color.

It is used by wxImage::HSVtoRGB() and wxImage::RGBtoHSV(), which convert between HSV color space and RGB color space.

## Member Data Documentation

## ◆ hue

double wxImage::HSVValue::hue

## ◆ saturation

double wxImage::HSVValue::saturation

## ◆ value

double wxImage::HSVValue::value